> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List File Segment Tags

> List all tags for a specific file segment



## OpenAPI

````yaml GET /files/{file_id}/segments/{segment_id}/tags
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /files/{file_id}/segments/{segment_id}/tags:
    get:
      tags:
        - Files
        - File Segments
        - Tags
      summary: List tags for a file segment
      description: List all tags for a specific file segment
      operationId: listFileSegmentTags
      parameters:
        - name: file_id
          in: path
          required: true
          description: The ID of the file
          schema:
            type: string
            format: uuid
        - name: segment_id
          in: path
          required: true
          description: The ID of the segment
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: List of tags
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVideoTagsResponse'
components:
  schemas:
    ListVideoTagsResponse:
      allOf:
        - $ref: '#/components/schemas/PaginationResponse'
        - properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/VideoTag'
              description: The list of tags
    PaginationResponse:
      type: object
      required:
        - object
        - total
        - limit
        - offset
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type, always 'list'
        total:
          type: integer
          description: The total number of items
        limit:
          type: integer
          description: The number of items per page
        offset:
          type: integer
          description: The offset of the items
    VideoTag:
      type: object
      required:
        - id
        - label
        - value
        - type
        - file_id
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the tag
        label:
          type: string
          description: The label of the tag
        value:
          type: string
          description: The value of the tag
        type:
          type: string
          enum:
            - file
            - segment
          description: The type of the tag
        file_id:
          type: string
          format: uuid
          description: The ID of the file
        segment_id:
          type: string
          format: uuid
          description: The ID of the segment
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````